version: '2.3'
#see .env file for env variables definitions



services:
#  ███████╗██╗         ██████╗ ███████╗███████╗    ███████╗███╗   ██╗ ██████╗ ██╗███╗   ██╗███████╗
#  ██╔════╝██║         ██╔══██╗██╔════╝██╔════╝    ██╔════╝████╗  ██║██╔════╝ ██║████╗  ██║██╔════╝
#  ███████╗██║         ██║  ██║███████╗█████╗      █████╗  ██╔██╗ ██║██║  ███╗██║██╔██╗ ██║█████╗  
#  ╚════██║██║         ██║  ██║╚════██║██╔══╝      ██╔══╝  ██║╚██╗██║██║   ██║██║██║╚██╗██║██╔══╝  
#  ███████║███████╗    ██████╔╝███████║███████╗    ███████╗██║ ╚████║╚██████╔╝██║██║ ╚████║███████╗
#  ╚══════╝╚══════╝    ╚═════╝ ╚══════╝╚══════╝    ╚══════╝╚═╝  ╚═══╝ ╚═════╝ ╚═╝╚═╝  ╚═══╝╚══════╝

  # SL DSE ENGINE
  sl_dse_engine:
    build:
      context: ${SL_DSE}
      dockerfile: Dockerfile_java_python #Dockerfile
    command: python3 __init__.py
    ports:
      - "5010:5000"
    volumes:
      - ${SL_DSE}:${APP_PATH} # for developing purposes
      - ${SHARED_DATA}:${APP_PATH}/../data # to be defined according to the tool workspace
    depends_on:
      - mongodb
      - redisdb
      - worker_sl_dse_engine
    environment:
      - MONGO_DB_NAME=${MONGO_DB_NAME}
      - MONGO_DB_TCP_ADDR=mongodb
      - MONGO_DB_PORT=27017
      - REDIS_HOST=redisdb
      - REDIS_PORT=6379
      - REDIS_QUEUE=sl_dse
    tty: true

  worker_sl_dse_engine:
    build:
      context: ${SL_DSE}
      dockerfile: Dockerfile_java_python #Dockerfile
    command: python3 worker.py
    volumes:
      - ${SL_DSE}:${APP_PATH} # for developing purposes
      - ${SHARED_DATA}:${APP_PATH}/../data # to be defined according to the tool workspace
    depends_on:
      - mongodb
      - redisdb
    environment:
      - MONGO_DB_NAME=${MONGO_DB_NAME}
      - MONGO_DB_TCP_ADDR=mongodb
      - MONGO_DB_PORT=27017
      - REDIS_HOST=redisdb
      - REDIS_PORT=6379
      - REDIS_QUEUE=sl_dse
    tty: true




